/*
  T962A reflow oven fan control hack
 Using the coling fan as convectional heat aid.
 
 PWM test version
 */

int led = 13;   // use on-board LED as status lamp
int fan = 3;    // fan control pin - active low
int heater = 2; // heater on signal - active low

void setup() {
  // initialize the digital pin as an output.
  pinMode(led, OUTPUT);
  pinMode(fan, OUTPUT);
  digitalWrite(fan, HIGH);  // turn off the fan
  pinMode(heater, INPUT);
}

void loop() {
  if (digitalRead(heater) == LOW) {
    delay(2000);               // wait for 2 seconds
    if (digitalRead(heater) == LOW) {
      // give the fan motor initial torque
      digitalWrite(led, HIGH);   // turn the LED on
      analogWrite(fan, LOW);    // turn the fan on
      delay(400);               // wait for x second

      digitalWrite(led, LOW);    // turn the LED off
      digitalWrite(fan, HIGH);   // turn the fan off
      delay(600);               // wait for x second

      // then slow PWM until the heater turns off
      while (digitalRead(heater) == LOW) {
        digitalWrite(led, HIGH);   // turn the LED on
        analogWrite(fan, LOW);    // turn the fan on
        delay(150);               // wait for x second

        digitalWrite(led, LOW);    // turn the LED off
        digitalWrite(fan, HIGH);   // turn the fan off
        delay(850);               // wait for x second
      }
    }
  }
}

